Enum Class HdfsAuthMethod
- All Implemented Interfaces:
Serializable,Comparable<HdfsAuthMethod>,Constable
WebHDFS authentication methods.
-
Nested Class Summary
Nested classes/interfaces inherited from class java.lang.Enum
Enum.EnumDesc<E extends Enum<E>> -
Enum Constant Summary
Enum Constants -
Method Summary
Modifier and TypeMethodDescriptionstatic HdfsAuthMethodReturns the enum constant of this class with the specified name.static HdfsAuthMethod[]values()Returns an array containing the constants of this enum class, in the order they are declared.
-
Enum Constant Details
-
SIMPLE
No real authentication: the configured username, if any, is sent as theuser.namequery parameter. This is how an unsecured (non-Kerberized) HDFS cluster identifies the caller. -
KERBEROS
Kerberos/SPNEGO authentication, for clusters withhadoop.security.authentication=kerberos. Requires aKerberosConfig.
-
-
Method Details
-
values
Returns an array containing the constants of this enum class, in the order they are declared.- Returns:
- an array containing the constants of this enum class, in the order they are declared
-
valueOf
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)- Parameters:
name- the name of the enum constant to be returned.- Returns:
- the enum constant with the specified name
- Throws:
IllegalArgumentException- if this enum class has no constant with the specified nameNullPointerException- if the argument is null
-